platform :ios, '12.0'

workspace 'iOSExample'

version = '3.12.1'

target :MainExample do
  use_frameworks!
  project 'MainExample/MainExample.xcodeproj'
  pod 'NumberEightCore', version
end

target :AdsExample do
  use_frameworks!
  project 'AdsExample/AdsExample.xcodeproj'
  pod 'NumberEight/Audiences', version
  pod 'Google-Mobile-Ads-SDK'
  pod 'CancellablePromiseKit'
end

target :AudiencesExample do
  use_frameworks!
  project 'AudiencesExample/AudiencesExample.xcodeproj'
  pod 'NumberEight/Audiences', version
end

target :InsightsExample do
  use_frameworks!
  project 'InsightsExample/InsightsExample.xcodeproj'
  pod 'NumberEight/Insights', version
end

target :DevicePositionDetection do
  use_frameworks!
  project 'DevicePositionDetection/DevicePositionDetection.xcodeproj'
  pod 'NumberEightCore', version
end

target :DevicePositionDetectionObjc do
  use_frameworks!
  project 'DevicePositionDetection/DevicePositionDetection.xcodeproj'
  pod 'NumberEightCore', version
end

target :SituationAndPlace do
  use_frameworks!
  project 'SituationAndPlace/SituationAndPlace.xcodeproj'
  pod 'NumberEightCore', version
end

target :ContextMusic do
  use_frameworks!
  project 'ContextMusic/ContextMusic.xcodeproj'
  pod 'NumberEightCore', version
end

target :WorkplaceHealth do
  use_frameworks!
  project 'WorkplaceHealth/WorkplaceHealth.xcodeproj'
  pod 'NumberEightCore', version
end

target :LocationExample do
  use_frameworks!
  project 'LocationExample/LocationExample.xcodeproj'
  pod 'NumberEightCore', version
end

post_install do |installer|
      installer.pods_project.targets.each do |target|
          target.build_configurations.each do |config|
          xcconfig_path = config.base_configuration_reference.real_path
          xcconfig = File.read(xcconfig_path)
          config.build_settings['IPHONEOS_DEPLOYMENT_TARGET'] = '11.0'
          xcconfig_mod = xcconfig.gsub(/DT_TOOLCHAIN_DIR/, "TOOLCHAIN_DIR")
          File.open(xcconfig_path, "w") { |file| file << xcconfig_mod }
          end
      end
  end
